-- 错误码

local code = {
    OK = 200, --成功
    UNKNOWN = 400, --未知
    REQUEST_NOT_FOUND = 404, --不支持此请求
    REPLACE_LOGIN = 497, -- 被顶号
    LOGINING = 498, -- 正在登录状态
    NOT_REPEAT_LOGIN = 499, -- 自己顶自己，即重复登录
    TOKEN_AUTH_FAIL = 500, --TOKEN验证失败
    TOKEN_TIMEOUT = 501, --TOKEN超时失效
    PARAMTER_ERROR = 502, --参数错误
    CHANNEL_SHIELD = 503, -- 渠道屏蔽
    VERSION_SHIELD = 504, -- 版本屏蔽
    ACTIVITY_SHIELD = 505, -- 活动屏蔽
    INNER_SERVER_ERROR = 506, -- 服务端内部未知错误
    NOT_FOUND_SERVER = 507, -- 没有找到服务器
    NOT_RUN_SERVER = 508, -- 服务器不在运行状态
    PLAYER_FORBID_LOGIN = 509, -- 玩家不能登录
    CONFIG_ERROR = 510, -- 配置错误
    USR = {
        SIGN_PRIZE_NOT_FOUND = 2001, --救济领取完了
        ALREADY_SIGN = 2002, --已经签到了
        ALREADY_GET_TASK_AWARD = 2003, --已经获取了任务奖励
        LOGIN_PASSWORD_ERROR = 2004, --密码错误
        TASK_NOT_FINISH = 2005, --任务未完成
        ACHIEVEMENT_NOT_FINISH = 2006, --成就未完成
        ALREADY_GET_ACHIEVEMENT_AWARD = 2007, -- 已经领取了成就奖励
        LACK_OF_DIAMOND = 2008, -- 钻石不足
        FORCE_OUT = 2009, -- 账号被封杀！
        ALREADY_REGISTER = 2010, -- 已经注册了的用户
        EXCHANGE_CODE_USED = 2011, -- 兑换码已经使用了
        QUESTION_ALREAY_SUBMIT = 2012, -- 问卷调查已经提交过
        WEB_ACTIVITY_GET_AWARD_FAIL = 2013, -- WEB活动领取奖励失败
        MSG_ALREADY_GET_AWARD = 2014, -- 系统消息奖励已领取
        EXCHANGE_CODE_FAIL = 2015, -- 兑换码错误
        EXCHANGE_ALRAEDY_EXCHANGE = 2016, -- 您已经兑换过该礼包
        EXCHANGE_CODE_TIMEOUT = 2017, -- 兑换码过期
        NOT_EXIST_USER = 2018, -- 不存在此用户
        ALREADY_GET_SHARED_AWARD = 2019, -- 今天已经领取过分享奖励
        MY_FRIEND_CMT_LIMIT = 2020, -- 我的好友数量限制
        FRIEND_CMT_LIMIT = 2021, -- 对方好友数量限制
        FRIEND_APPLY_LIMIT = 2022, -- 对方的好友申请已经达到上限
        NOT_OPPO_MOVE_AWARD = 2023, -- 没有获取领取oppo迁移奖励的机会
        HAS_GET_OPPO_MOVE_AWARD = 2024, -- 已经领取oppo迁移奖励
        OPPO_MOVE_NOT_SUPPORT_CHANNEL = 2025, -- 迁移奖励不支持该渠道
        RED_CODE_NOT_EXISTS = 2026, -- 红包码不存在
        NOT_BIND_WX = 2027, -- 还没有绑定微信
        RED_NOT_ENOUGH = 2028, -- 红包余额不足
        RED_ID_EXISTS = 2029, -- 提现流水号已经存在
        RED_ID_NOT_EXISTS = 2030, -- 提现流水号不存在
        HAS_BIND_WX = 2031, -- 已经绑定微信
        COUPON_NOT_EXISTS = 2032, -- 抵用卷不存在
        COUPON_USING = 2033, -- 抵用卷已经被使用
        COUPON_ORDER_ERROR = 2034, -- 抵用卷解锁订单号不匹配
        VIP_PACKAGE_ALREADY_GET_AWARD = 2035, -- 奖励物品已领取
        VIP_PACKAGE_LEVEL_LIMIT = 2036, -- 等级不足
        VIP_PACKAGE_ITEMS_NOT_FOUND = 2037, -- 奖励物品未配置
        ALREADY_GET_AWARD = 2038, -- 已经领取奖励
        TASK_NOT_DATA = 2039, -- 无任务配置
        ACCOUNT_CANCEL = 2040 -- 账号注销
    }
}

-- 是否code.OK
function code.is_ok(errCode)
    if errCode == nil then
        return false
    end
    return errCode == code.OK
end

return code
