local root = class("moduleUser", require("base.baseModule"))

function root:ctor(uid)
    root.super.ctor(self, uid, "user", "uid")
end

function root:mysql_get_init_columns()
    return {
        uid = "int(11) unsigned NOT NULL",
        nickname = "varchar(50)",
        password = "varchar(45) DEFAULT NULL",
        uuid = "varchar(200) DEFAULT NULL",
        udid = "varchar(200) DEFAULT NULL",
        channel = "int(11) DEFAULT NULL",
        device = "varchar(45) DEFAULT NULL",
        loginTime = "int(11) DEFAULT 0",
        sysVer = "varchar(1024) DEFAULT NULL",
        version = "varchar(45) DEFAULT NULL",
        appVersion = "varchar(45) DEFAULT NULL",
        city = "varchar(45) DEFAULT NULL",
        region = "varchar(45) DEFAULT NULL",
        deviceId = "varchar(200) DEFAULT NULL",
        headUrl = "varchar(500) DEFAULT NULL",
        sex = "int(11) DEFAULT NULL",
        token = "varchar(255)",
        lastLoginTime = "int(11) DEFAULT 0",
        logoutTime = "int(11) DEFAULT 0",
        registerTime = "int(11) DEFAULT 0 COMMENT '注册时间'",
        registerRegion = "varchar(45) DEFAULT 0 COMMENT '注册区域'",
        registerCity = "varchar(45) DEFAULT 0 COMMENT '注册城市'",
        registerVersion = "varchar(45) DEFAULT NULL COMMENT '注册版本'",
        ip = "varchar(45) DEFAULT NULL COMMENT 'IP'",
        status = "int(11) DEFAULT 0 COMMENT '账号状态 0:正常 1:封号 2:注销'",
        openId = "varchar(45) DEFAULT NULL COMMENT '用户唯一标识符'"
    }
end

return root
