--[[
Descripttion:
version:
Author: Neo,Huang
Date: 2022-07-05 20:34:04
LastEditors: Neo,Huang
LastEditTime: 2022-07-05 20:34:48
--]]
local skynet = require "skynet"
require "skynet.manager"

local init = require("init")

skynet.start(
    function()
        -- 初始化控制台
        init:init_console()

        -- 日志
        init:init_logger()
        -- 数据库
        init:init_mysql()
        -- redis
        init:init_redis()

        -- TODO:节点下服务
        -- 节点管理
        skynet.uniqueservice("srvNodeMgr")

        -- 集群
        init:init_cluster()

        skynet.exit()
    end
)
