--[[
Descripttion:节点配置
version:
Author: Neo,Huang
Date: 2022-07-05 13:40:50
LastEditors: Neo,Huang
LastEditTime: 2022-07-05 13:41:07
--]]
local root = {}

-- master
root["master"] = {
    debugPort = 8000,
    port = 8001,
    agentCount = 1,
    bodyLimit = 8192
}

-- 登陆服
root["login_1_1"] = {
    ip = "0.0.0.0",
    debugPort = 8002,
    port = 8003,
    agentCount = 5,
    bodyLimit = 8192
}

-- 网关
root["gate_1_1"] = {
    ip = "8.134.163.21",
    debugPort = 8004,
    port = 8005,
    maxClient = 5000,
    nodelay = 1,
    protocol = "ws",
    weight = 50, -- 权重
    wsPort = 8006 -- websocket端口
}

-- 游戏服
root["game_1_1"] = {
    debugPort = 8007,
    weight = 50 -- 权重
}

return root
